Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Default_Endpoint_Selector_Factory Class Reference

Factory for initializing <Endpoint_Selection_State> and obtaining appropriate <Invocation_Endpoint_Selector>. More...

`#include <Default_Endpoint_Selector_Factory.h>`

Inheritance diagram for TAO_Default_Endpoint_Selector_Factory:

[legend]
Collaboration diagram for TAO_Default_Endpoint_Selector_Factory:

[legend]
List of all members.

## Public Methods
| TAO_Default_Endpoint_Selector_Factory (void)
| Constructor. More...
virtual | ~TAO_Default_Endpoint_Selector_Factory (void)
| Destructor. More...
virtual TAO_Invocation_Endpoint_Selector * | get_selector (TAO_GIOP_Invocation *invocation ACE_ENV_ARG_DECL)
| Get an Invocation's endpoint selection strategy and initialize the endpoint selection state instance. More...
## Protected Attributes
TAO_Default_Endpoint_Selector * | default_endpoint_selector_
| The possible endpoint selector strategies that can be returned by this factory. More...

## Detailed Description

Factory for initializing <Endpoint_Selection_State> and obtaining appropriate <Invocation_Endpoint_Selector>.

Used by Invocation classes to intialize its endpoint selection strategy and state based on the effective policies. Endpoint selection strategies are stateless objects - all the state they need is contained by Invocation in <Endpoint_Selection_State>. Thus, rather than allocating an endpoint selection strategy object for each Invocation, the factory simply returns the appropriate one from the set preallocated in the ORB_Core. One endpoint selection strategy object can be used by many invocations concurrently.

## Constructor & Destructor Documentation

TAO_Default_Endpoint_Selector_Factory::TAO_Default_Endpoint_Selector_Factory | ( | void |  | ) |

| Constructor.

TAO_Default_Endpoint_Selector_Factory::~TAO_Default_Endpoint_Selector_Factory | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual TAO_Invocation_Endpoint_Selector* TAO_Default_Endpoint_Selector_Factory::get_selector | ( | TAO_GIOP_Invocation *invocation | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Get an Invocation's endpoint selection strategy and initialize the endpoint selection state instance. Reimplemented from TAO_Endpoint_Selector_Factory.

## Member Data Documentation

TAO_Default_Endpoint_Selector* TAO_Default_Endpoint_Selector_Factory::default_endpoint_selector_`[protected]`

| The possible endpoint selector strategies that can be returned by this factory.

The documentation for this class was generated from the following files:

- Default_Endpoint_Selector_Factory.h
- Default_Endpoint_Selector_Factory.cpp